Subject: Re: [bess] draft-zzhang-bess-mvpn-msdp-sa-interoperation-01

From: "Jeffrey (Zhaohui) Zhang" <[email-masked]>
Date: Mon, 26 Mar 2018 18:36:50 +0000

Hi Keshava,

Thanks for your support on the problem (and the solution I assume).
I want to follow up on your comment on "Treating one protocol (MVPN SA)  output as an input trigger to another protocol (MSDP)".

The context text is the following:

   In addition to procedures in [RFC6514<https://tools.ietf.org/html/rfc6514>], an MVPN PE may be provisioned
   to generate MSDP SA messages from received MVPN SA routes, with or
   without fine policy control.  If a received MVPN SA route is to
   trigger MSDP SA message, it is treated as if a corresponding MSDP SA
   message was received from within the PE mesh group and normal MSDP
   procedure is followed (e.g. an MSDP SA message is advertised to other
   MSDP peers outside the PE mesh group).

Instead of specifying MSDP advertisement procedures upon the receipt of MVPN SA route, I thought the above best describes the expected result from protocol point of view (and one way of implementing the interop procedures), though local implementation could be different.

I hope that is acceptable?

Thanks.
Jeffrey
From: BESS <[email-masked]> On Behalf Of A, Keshava
Sent: Monday, March 12, 2018 4:10 AM
To: Susan Hares <[email-masked]>; [email-masked]
Cc: A, Keshava <[email-masked]>
Subject: Re: [bess] Call for adoption: draft-zzhang-bess-mvpn-msdp-sa-interoperation-01

Support.

Problem statement is valid.
Treating one protocol (MVPN SA)  output as an input trigger to another protocol (MSDP)  needs to be discussed more..

/keshava